public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: add the acpid test to upstream repo
Date: Fri, 11 Sep 2026 13:19:10 GMT [thread overview]
Message-ID: <178913275073.1.9391997534091094375.tests-selinux-2f3961e36d3b@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 2f3961e36d3b6fea9306d6092862bad04dd261c5
Author : Milos Malik <mmalik@redhat.com>
Date : 2021-05-20T10:22:38+00:00
Stats : +206/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/2f3961e36d3b6fea9306d6092862bad04dd261c5?branch=pr775-checkpolicy-revdeps
Log:
add the acpid test to upstream repo
The acpid component is used in various versions of RHEL and Fedora,
so it makes sense to run this TC in upstream testing too.
Moving the downstream TC to upstream repository.
There are slight changes in the TC functionality when comparing
the downstream and the upstream version.
---
diff --git a/selinux-policy/acpid-and-similar/Makefile b/selinux-policy/acpid-and-similar/Makefile
new file mode 100644
index 0000000..3803c53
--- /dev/null
+++ b/selinux-policy/acpid-and-similar/Makefile
@@ -0,0 +1,74 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/acpid-and-similar
+# Description: SELinux interferes with acpid and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/acpid-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: SELinux interferes with acpid and related programs" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 30m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "RunFor: acpid" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools setools-console acpid initscripts" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Releases: -RHEL4" >> $(METADATA)
+ @echo "Architectures: i386 x86_64" >> $(METADATA)
+ @echo "Bug: 995898" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1358478" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1468548" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1622417" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1623342" >> $(METADATA) # RHEL-7
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/acpid-and-similar/PURPOSE b/selinux-policy/acpid-and-similar/PURPOSE
new file mode 100644
index 0000000..e4b9ffe
--- /dev/null
+++ b/selinux-policy/acpid-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/acpid-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with acpid and related programs
+
diff --git a/selinux-policy/acpid-and-similar/main.fmf b/selinux-policy/acpid-and-similar/main.fmf
new file mode 100644
index 0000000..4d7c29e
--- /dev/null
+++ b/selinux-policy/acpid-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/acpid-and-similar
+tier: 2
diff --git a/selinux-policy/acpid-and-similar/runtest.sh b/selinux-policy/acpid-and-similar/runtest.sh
new file mode 100755
index 0000000..bad833b
--- /dev/null
+++ b/selinux-policy/acpid-and-similar/runtest.sh
@@ -0,0 +1,125 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/acpid-and-similar
+# Description: SELinux interferes with acpid and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/bin/rhts-environment.sh || exit 1
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/sbin/acpid"
+FILE_CONTEXT="apmd_exec_t"
+SERVICE_PACKAGE="acpid"
+SERVICE_NAME="acpid"
+PROCESS_NAME="acpid"
+PROCESS_CONTEXT="apmd_t"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+
+ rlServiceStop ${SERVICE_NAME}
+ rlFileBackup /etc/shadow
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ rlPhaseStartTest "SELinux contexts and rules"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSESearchRule "allow initrc_t ${FILE_CONTEXT} : file { getattr open read execute }"
+ rlSESearchRule "allow initrc_t ${PROCESS_CONTEXT} : process { transition }"
+ rlSESearchRule "type_transition initrc_t ${FILE_CONTEXT} : process ${PROCESS_CONTEXT}"
+ rlPhaseEnd
+
+ if ! rlIsRHEL 5 6 ; then
+ rlPhaseStartTest "bz#995898"
+ rlSEMatchPathCon "/usr/sbin/acpid" "apmd_exec_t"
+ rlSEMatchPathCon "/usr/lib/systemd/system/poweroff.target" "power_unit_file_t"
+ rlSESearchRule "allow apmd_t init_t : dbus { send_msg }"
+ rlSESearchRule "allow init_t apmd_t : dbus { send_msg }"
+ rlSESearchRule "allow apmd_t power_unit_file_t : service { start }"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1358478 + bz#1468548"
+ rlSEMatchPathCon "/usr/sbin/acpid" "apmd_exec_t"
+ rlSESearchRule "allow apmd_t apmd_t : netlink_generic_socket { create setopt bind } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1622417 + bz#1623342"
+ rlSEMatchPathCon "/usr/sbin/acpid" "apmd_exec_t"
+ rlSEMatchPathCon "/dev/input/event20" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event21" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event22" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event23" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event24" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event25" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event26" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event27" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event28" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event29" "event_device_t"
+ rlSEMatchPathCon "/dev/input/event30" "event_device_t"
+ rlSESearchRule "allow apmd_t event_device_t : chr_file { getattr open read } [ ]"
+ for I in `seq 20 1 30` ; do
+ rlRun "sesearch -T -s init_t -t device_t -c chr_file | grep \"event_device_t.*event$I\""
+ rlRun "sesearch -T -s kernel_t -t device_t -c chr_file | grep \"event_device_t.*event$I\""
+ rlRun "sesearch -T -s udev_t -t device_t -c chr_file | grep \"event_device_t.*event$I\""
+ done
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartTest "real scenario"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+ if rlIsRHEL 5 6 ; then
+ PROCESS_CONTEXT="initrc_t"
+ else
+ PROCESS_CONTEXT="unconfined_service_t"
+ fi
+ fi
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /var /run"
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore ${SERVICE_NAME}
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
reply other threads:[~2026-09-11 13:19 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913275073.1.9391997534091094375.tests-selinux-2f3961e36d3b@fedoraproject.org \
--to=mmalik@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox